Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000832 [Piwigo] albums feature have not tried 2008.07.01 15:10 2008.07.11 22:09
Reporter VDigital View Status public  
Assigned To rvelices
Priority normal Resolution fixed Platform Any
Status closed   OS Any
Projection none   OS Version Any
ETA none Fixed in Version 2.0.0 Product Version 1.7.1
  Target Version 2.0.0 Product Build
Summary 0000832: Folders with no images
Description http://forum.phpwebgallery.net/viewtopic.php?id=13423 [^]

Dustin said:
Huge number of folders with no images
------------------------------------------------------------
I split this to two parts:

Avoiding "picture-empty" folders in the categories list in functions_html.inc.php: get_html_menu_category by adding a simple check in the while loop:
  foreach ($categories as $category)
  {
    if ($category['count_images'] == 0) continue;
       ......


Secondly, skipping the representative selection code for empty categories in category_cats.inc.php. For empty categories the existing caching code does not work, leading to generation of the representating image id every time (with empty result as the category is empty). A simple check fixed that:

while ($row = mysql_fetch_assoc($result))
{
  if ($row['count_images'] == 0)
        continue;
....

Perhaps these two hacks (if actually correct - they seem to work for me) could be considered for submitting to SVN.

I just thought I should give a feedback, perhaps some of the issues will find their way to the trunk code.
Steps To Reproduce
Additional Information Need to be confirmed...
What about empty parent category with non-empty sub-categories?
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0002254)
rvelices (developer)
2008.07.01 15:26

I'm not sure that the first hack should go under svn. It can be easily achieved by a plugin on the event get_categories_menu_sql_where and adding the test count_images>0. Personally I would like to see all categories in the menu ...

For the second one - I take the point ...
(0002288)
rvelices (developer)
2008.07.06 00:31

correction of the second one in [Subversion] r2424

- Issue History
Date Modified Username Field Change
2008.07.01 15:10 VDigital New Issue
2008.07.01 15:10 VDigital browser => any
2008.07.01 15:10 VDigital Web server => Apache 1.3.x
2008.07.01 15:26 rvelices Note Added: 0002254
2008.07.01 15:26 rvelices Status new => assigned
2008.07.01 15:26 rvelices Assigned To => rvelices
2008.07.06 00:31 rvelices Note Added: 0002288
2008.07.11 17:23 rvelices Fixed in Version => Butterfly
2008.07.11 17:23 rvelices Resolution open => fixed
2008.07.11 22:09 rvelices Status assigned => closed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker